type User2 = {
    id: number;
    name: string;
    email: string;
    password: string;
};

// 수정용 DTO에서 Partial로 일부만 허용
type UpdateUserDto = Partial<User2>;

// 공개용 DTO에서 비밀번호 제거
type PublicUser = Omit<User2, 'password'>;

const updateUser: UpdateUserDto = {
    name: "update user",
};

const publicUser: PublicUser = {
    id: 135,
    name: "public user",
    email: "pu@dor.com"
};

console.log(updateUser);
console.log(publicUser);